image : "registry.gitlab.com/e.ametrano/unity3d:netcorenode"

stages:
  - build
  - test
  - release

build:
  stage: build
  script:
    - dotnet build Smarthome.csproj

test:
  stage: test
  script:
    - dotnet test Smarthome.csproj

release:
  stage: release
  only:
    - master
  artifacts:
    paths:
      - publish/
  script:
    - dotnet publish -c Release -o ./publish Smarthome.csproj